# Enum goog.events.BrowserFeature

code »

Type: `boolean`

Enum of browser capabilities.

## Values and Descriptions

HAS_HTML5_NETWORK_EVENT_SUPPORT
  Whether HTML5 network online/offline events are supported.
HAS_NAVIGATOR_ONLINE_PROPERTY
  Whether the `navigator.onLine` property is supported.
HAS_W3C_BUTTON
  Whether the button attribute of the event is W3C compliant. False in Internet Explorer prior to version 9; document-version dependent.
HAS_W3C_EVENT_SUPPORT
  Whether the browser supports full W3C event model.
HTML5_NETWORK_EVENTS_FIRE_ON_BODY
  Whether HTML5 network events fire on document.body, or otherwise the window.
SET_KEY_CODE_TO_PREVENT_DEFAULT
  To prevent default in IE7-8 for certain keydown events we need set the keyCode to -1.
TOUCH_ENABLED
  Whether touch is enabled in the browser.

Show:Public Protected Private